For the complete documentation index, see llms.txt. This page is also available as Markdown.

Clusters

Cedana API for clusters

List clusters

get

Returns all clusters associated with the authenticated user's organization. Optional ?kind=kubernetes|slurm filter.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
kindstring · nullableOptional

Filter by cluster kind: "kubernetes" or "slurm"

Responses
200

Returns a list of clusters

application/json
idstring · uuidRequired
kindstringRequired
last_syncstring · nullableOptional
metadataanyOptional
namestringRequired
statusstringRequired
get/v1/cluster
GET /v1/cluster HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "kind": "text",
    "last_sync": null,
    "metadata": null,
    "name": "text",
    "status": "text"
  }
]

Create cluster

post

Creates or updates info regarding a Kubernetes cluster

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

CreateClusterRequest is the request body for creating a cluster

cluster_namestringRequired
kindstring · nullableOptional

Cluster kind: "kubernetes" (default) or "slurm"

Responses
200

Returns the cluster id for the newly created or updated cluster

text/plain
stringOptional
post/v1/cluster
POST /v1/cluster HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 35

{
  "cluster_name": "text",
  "kind": null
}
550e8400-e29b-41d4-a716-446655440000

Sync cluster

post

Syncs cluster resources such as pods, jobs, and nodes

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
cluster_idstring · nullableOptional
metadataanyOptional
resourceone ofOptional
or
or
or
or
or
Responses
200

Resource id registered internally

text/plain
stringOptional
post/v1/cluster/sync
POST /v1/cluster/sync HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 62

{
  "cluster_id": null,
  "metadata": null,
  "resource": {
    "type": "None"
  }
}
text

Create workload

post

Takes a cluster name and workload specification, then creates a Kubernetes job on the specified cluster

Body
cluster_idstringRequired
cluster_namestring · nullableOptionalDeprecated
deploymentanyOptional
jobanyOptional
podanyOptional
Responses
200

Added workload to queue

text/plain
stringOptional
post/v1/cluster/workload
POST /v1/cluster/workload HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 61

{
  "cluster_id": "text",
  "deployment": null,
  "job": null,
  "pod": null
}
text

Delete cluster

delete

This endpoint deletes a cluster and all its dependent entities in a single transaction which is rolled back if any part of the deletion fails

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstring · uuidRequired
Responses
200

Delete the given cluster, and return Status OK

No content

delete/v1/cluster/{id}
DELETE /v1/cluster/{id} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

No content

Last updated

Was this helpful?